Page MenuHomeFreeBSD

math/maxima: Many improvments
ClosedPublic

Authored by salvadore on May 10 2022, 1:18 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jun 17, 11:11 AM
Unknown Object (File)
Fri, Jun 7, 5:34 AM
Unknown Object (File)
Sat, May 25, 3:00 AM
Unknown Object (File)
May 13 2024, 11:35 AM
Unknown Object (File)
May 5 2024, 10:54 PM
Unknown Object (File)
Apr 23 2024, 1:24 PM
Unknown Object (File)
Apr 23 2024, 1:24 PM
Unknown Object (File)
Apr 23 2024, 1:24 PM
Subscribers

Details

Summary
  • Add a missing license (BSD3CLAUSE) and missing license files (for BSD3CLAUSE and GPLv2).
  • Remove reference to a non existent patch that should have been applied when NOUSERINIT is OFF.
  • Fix patching when SBCL is ON but NOUSERINIT is OFF (the port was building successfully, but then maxima failed to run).
  • Fix patching of Makefile.am: $(DOC_DIR) and demo targets are removed in any case (the port deals with them manually through the DOCS, MANPAGES and EXAMPLES options). The tests target is only removed if the TEST option is OFF.
  • Regenerate files/patch-configure.ac with 'make makepatch', as requested by portlint.
  • Remove unneeded CONFIGURE_ARGS= PYTHON=dummy.
  • Move symplectic_ode info file from pkg-plist to INFO variable, as requested by portlint.
  • Remove CMUCL: cmucl is not supported upstream anymore on FreeBSD since 2017.
  • Set NO_ARCH=yes when LISP is CCL or SBCL (it does not apply when it is ECL).
  • Do not install German and Russian manpages anymore.
  • Strip binaries and libraries (applies when LISP is ECL, it is not needed in the other cases).
  • Move post-install-ECL-on target (portclippy).

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

math/maxima/Makefile
117

^ that should not be necesary [tm] -- compress-man should handle that already.

math/maxima/Makefile
117

Are you sure this is not necessary? I am not building manpages through gmake, I am dealing with them manually.

I have added LICENSE_FILE for GPLv2 and an additionnal license that was missing (BSD3CLAUSE).

I have added a few more reviewers: the patch is a bit complex and my mentors are a bit busy, so if some other developer is able to take a look into this it would be helpful.

Thanks.

math/maxima/Makefile
26–27

This seems like it could cause a false positive in an unclean environment as I guess this defines binary name of python?

57

I apologize if I misread this part but wouldn't this imply that the there no architecture-dependent files and if so, does that also apply for all possible combinations (options)?
This is also added for SBCL below

97

Installing non english manpages seem to be a exotic having a quick look at the tree, worth it and are they up to date?

131

You probably want to use ${PORT/DISTVERSION} here, only use DIST if you plan to use it everywhere (DIST is what Porters Handbook suggests unless it breaks things more or less).

math/maxima/Makefile
97

a bit exotic...

Thank you very much diizzy for your review.

I have fixed the things you noted and some more things. Here is the list of the new changes:

  • Fix patching when SBCL is ON but NOUSERINIT is OFF (the port was building successfully, but then maxima failed to run).
  • Regenerate files/patch-configure.ac with 'make makepatch', as requested by portlint.
  • Remove unneeded CONFIGURE_ARGS= PYTHON=dummy.
  • Move symplectic_ode info file from pkg-plist to INFO variable, as requested by portlint.
  • Do not install German and Russian manpages anymore.

I also used PORTVERSION instead of hardcoding the path as you suggested. I could probably have used DISTVERSION as well, but PORTVERSION is what is already there, it works and it does not seem that DISTVERSION would bring any advantage.

As for NO_ARCH, indeed it does not apply for all options: when ECL is set architecture dependent files are installed.

This revision is now accepted and ready to land.May 29 2022, 6:34 PM

Thank you for the review, @thierry!

Lorenzo, good to go based on that. :-)

Thanks Thierry and Gerald for your review and approval.

@diizzy: Do you have any additional comment? Is it fine for you too?

This revision was automatically updated to reflect the committed changes.

Thanks again to all of you.

I added one last minute change in the final commit: I bumped PORTREVSION. Some of the changes affect built packages so it was needed (licenses, binary stripping, manpage removal and others).